<?php
/*
Plugin Name: Zap Read This Post
Version: 0.0.1
Plugin URI: http://www.zappreader.com/tools.php
Description: This plugin displays a "Zap Read This" button before each post
Author: Ricky Spears
Author URI: http://www.rickyspears.com/blog
*/ 

/*
Installation: Save this file (zapredthispost.php) and the zapreadthisbutton.gif image 
              into a folder named "zapreadthispost" inside your "wp-content/plugins" folder
			  
			  Then enable it in the "Plugins" tab of the Administration Panel.

*/

function zap_read_this_post($text) {
	$textToZapRead = str_replace(']]>', ']]&gt;', $text);
	$textToZapRead = str_replace("'","\'",strip_tags($textToZapRead));
	$zapButtonText = "<!-- Begin Zap Read This Button -->";
	$zapButtonText .= "<p align='left'>";
	$zapButtonText .= "<form action='http://www.zapreader.com/reader/' method='post' target='_blank'>";
	$zapButtonText .= "<input type='hidden' name='PastedText' value='" . $textToZapRead . "'>";
    $zapButtonText .= "<input type='image' src='wp-content/plugins/zapreadthispost/zapreadthisbutton.gif'>";
	$zapButtonText .= "</form>";
	$zapButtonText .= "</p>";
	$zapButtonText .= "<!-- End Zap Read This Button -->";

	$text = $zapButtonText . "\n" . $text;
	
	return $text;
}

add_filter('the_content', 'zap_read_this_post');

?>
